--------------------------------------------------------------------------------
  Build Instructions for KolibriOS NetSurf                          11 June 2017
--------------------------------------------------------------------------------

  Building
=================

  Obtaining the build dependencies
----------------------------------
    mkdir $HOME/NETSURFSTUFF
    cd $HOME/NETSURFSTUFF
    
    # Git clone all ns libs
    for lib in libcss libdom libhubbub libnsbmp libnsfb libnsgif libnsutils libparserutils libsvgtiny libutf8proc libwapcaplet; do 
        git://git.netsurf-browser.org/${lib}.git
    done

    # Git clone toolchains
    git clone git://git.netsurf-browser.org/toolchains.git
    
    # Git clone buildsystem
    git clone git://git.netsurf-browser.org/buildsystem.git

    # Git clone Netsurf
    git clone git://git.netsurf-browser.org/netsurf.git

 Building Netsurf with it's dependencies
----------------------------------------

  cd $HOME/NETSURFSTUFF

  # Set up the kolibrios compiler toolchain
  cd toolchains/kos32-gcc
  make
  cd ..

  # Set up the buildsystem 
  cd buildsystem
  make install
  cd ..

  # Set up all netsurf libs (Order is important for libs)
  for lib in libparserutils libwapcaplet libcss libhubbub libdom libnsbmp libnsfb libnsgif libnsutils libsvgtiny libutf8proc; do 
      cd $lib
      HOST=kolibrios make install
      cd ..
  done

  # Compile and install Netsurf
  cd netsurf
  make TARGET=kolibrios install
  cd ..

Binaries can be found in /opt/netsurf/kos32-gcc/env/bin
